模考/BearerWrite
Create reusable mock paper
Create one reusable user mock paper from exact published Part ids returned by practice.search_parts. The selected Parts must form complete IELTS sections. Returns a stable mock_paper contentRef for catalog entry or study-plan tasks.
Endpoint
POST
/api/v1/agent/capabilities/ielts_mock_create_paper请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| partIds | number[] | 是 | Exact Part ids returned by practice.search_parts. |
| title | string | 是 | Name of the reusable mock paper. |
调用示例
curl -X POST \
'https://work.ieltsbuddy.igopx.cn/api/v1/agent/capabilities/ielts_mock_create_paper' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $IELTS_BUDDY_TOKEN' \
--data '{"partIds":[],"title":"Example"}'请求结构
{
"type": "object",
"properties": {
"partIds": {
"minItems": 1,
"maxItems": 11,
"type": "array",
"items": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"description": "Exact Part ids returned by practice.search_parts."
},
"title": {
"type": "string",
"minLength": 1,
"maxLength": 120,
"description": "Name of the reusable mock paper."
}
},
"required": [
"partIds",
"title"
],
"additionalProperties": false
}统一响应
接口结果位于 data;code 为 0 表示调用成功。
{
"code": 0,
"data": {},
"message": "ok"
}错误码
400
40001请求参数不符合接口契约401
40101缺少或使用了无效的访问令牌403
40301访问令牌不包含接口所需权限404
40401接口或目标资源不存在